/*
 *   Copyright 2014-2023 IHE International
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 */

//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.4-2 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2012.12.25 at 01:02:08 PM CET 
//

package net.ihe.gazelle.audit.message.desc;

import javax.xml.bind.annotation.XmlRegistry;

/**
 * This object contains factory methods for each Java content interface and Java
 * element interface generated in the net.ihe.gazelle.audit.message.desc package.
 * <p>
 * An ObjectFactory allows you to programatically construct new instances of the
 * Java representation for XML content. The Java representation of XML content
 * can consist of schema derived interfaces and classes representing the binding
 * of schema type definitions, element declarations and model groups. Factory
 * methods for each of these are provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

	/**
	 * Create a new ObjectFactory that can be used to create new instances of
	 * schema derived classes for package: net.ihe.gazelle.audit.message.desc
	 * 
	 */
	public ObjectFactory() {
	}

	/**
	 * Create an instance of {@link AuditMessageSpecification }
     * @return a new instance of {@link AuditMessageSpecification }
     *
	 */
	public AuditMessageSpecification createAuditMessageSpecification() {
		return new AuditMessageSpecification();
	}

	/**
	 * Create an instance of {@link EventIdentificationDesc }
     * @return a new instance of {@link EventIdentificationDesc }
     */
	public EventIdentificationDesc createEventIdentificationDesc() {
		return new EventIdentificationDesc();
	}

	/**
	 * Create an instance of {@link ActiveParticipantDescription }
     * @return a new instance of {@link ActiveParticipantDescription }
     *
	 */
	public ActiveParticipantDescription createActiveParticipantDescription() {
		return new ActiveParticipantDescription();
	}

	/**
	 * Create an instance of {@link AuditSourceDescription }
     * @return a new instance of {@link AuditSourceDescription }
     */
	public AuditSourceDescription createAuditSourceDescription() {
		return new AuditSourceDescription();
	}

	/**
	 * Create an instance of {@link ParticipantObjectIdentificationDesc }
     * @return a new instance of {@link ParticipantObjectIdentificationDesc }
     */
	public ParticipantObjectIdentificationDesc createParticipantObjectIdentificationDesc() {
		return new ParticipantObjectIdentificationDesc();
	}

	/**
	 * Create an instance of {@link ElementDescription }
     * @return a new instance of {@link ElementDescription }
     */
	public ElementDescription createElementDescription() {
		return new ElementDescription();
	}

}
